summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/quickpkg8
-rw-r--r--pym/portage.py6
2 files changed, 7 insertions, 7 deletions
diff --git a/bin/quickpkg b/bin/quickpkg
index 8f57f5d0..abb3d294 100755
--- a/bin/quickpkg
+++ b/bin/quickpkg
@@ -46,11 +46,11 @@ source /sbin/functions.sh
# $1 = package-name w/version
# $2 = category
do_pkg() {
- mkdir -p "${PORTAGE_TMPDIR}/portage-pkg" || exit 1
- chmod 0750 "${PORTAGE_TMPDIR}/portage-pkg"
- MYDIR="${PORTAGE_TMPDIR}/portage-pkg/$1"
+ mkdir -p "${PORTAGE_TMPDIR}/binpkgs" || exit 1
+ chmod 0750 "${PORTAGE_TMPDIR}/binpkgs"
+ MYDIR="${PORTAGE_TMPDIR}/binpkgs/$1"
SRCDIR="${PORTAGE_DB}/$2/$1"
- LOG="${PORTAGE_TMPDIR}/portage-pkg/$1-quickpkglog"
+ LOG="${PORTAGE_TMPDIR}/binpkgs/$1-quickpkglog"
ebegin "Building package for $1"
(
diff --git a/pym/portage.py b/pym/portage.py
index dd007f1f..abcb10ac 100644
--- a/pym/portage.py
+++ b/pym/portage.py
@@ -2509,7 +2509,7 @@ def doebuild(myebuild,mydo,myroot,mysettings,debug=0,listonly=0,fetchonly=0,clea
mysettings["BUILD_PREFIX"] = mysettings["PORTAGE_TMPDIR"]+"/portage"
mysettings["HOME"] = mysettings["BUILD_PREFIX"]+"/homedir"
- mysettings["PKG_TMPDIR"] = mysettings["PORTAGE_TMPDIR"]+"/portage-pkg"
+ mysettings["PKG_TMPDIR"] = mysettings["PORTAGE_TMPDIR"]+"/binpkgs"
mysettings["PORTAGE_BUILDDIR"] = mysettings["BUILD_PREFIX"]+"/"+mysettings["PF"]
mysettings["PORTAGE_BASHRC"] = EBUILD_SH_ENV_FILE
@@ -6447,7 +6447,7 @@ class dblink:
return os.path.exists(self.dbdir+"/CATEGORY")
def cleanup_pkgmerge(mypkg,origdir):
- shutil.rmtree(settings["PORTAGE_TMPDIR"]+"/portage-pkg/"+mypkg)
+ shutil.rmtree(settings["PORTAGE_TMPDIR"]+"/binpkgs/"+mypkg)
if os.path.exists(settings["PORTAGE_TMPDIR"]+"/portage/"+mypkg+"/temp/environment"):
os.unlink(settings["PORTAGE_TMPDIR"]+"/portage/"+mypkg+"/temp/environment")
os.chdir(origdir)
@@ -6468,7 +6468,7 @@ def pkgmerge(mytbz2,myroot,mysettings):
return None
mycat=mycat.strip()
mycatpkg=mycat+"/"+mypkg
- tmploc=mysettings["PORTAGE_TMPDIR"]+"/portage-pkg/"
+ tmploc=mysettings["PORTAGE_TMPDIR"]+"/binpkgs/"
pkgloc=tmploc+"/"+mypkg+"/bin/"
infloc=tmploc+"/"+mypkg+"/inf/"
myebuild=tmploc+"/"+mypkg+"/inf/"+os.path.basename(mytbz2)[:-4]+"ebuild"